Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.perl
Class PerlContentRewriter

    java.lang.Object
      org.apache.jetspeed.rewriter.AbstractRewriter
          org.apache.jetspeed.rewriter.BasicRewriter
              org.apache.jetspeed.rewriter.RulesetRewriterImpl
                  org.apache.portals.bridges.perl.PerlContentRewriter

All Implemented Interfaces:
  org.apache.jetspeed.rewriter.Rewriter, org.apache.jetspeed.rewriter.RulesetRewriter

public class PerlContentRewriter
extends org.apache.jetspeed.rewriter.RulesetRewriterImpl
implements org.apache.jetspeed.rewriter.Rewriter

PerlContentRewriter

Version:
  $Id: PerlContentRewriter.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Roger Ruttimann

Field Summary
`static String` | `ACTION_PARAMETER_URL` WebContentURL
`private String` | `actionParameterName`
`private javax.portlet.PortletURL` | `actionURL`
`private String` | `localHostIP`

Fields inherited from class org.apache.jetspeed.rewriter.RulesetRewriterImpl
`log`

Fields inherited from class org.apache.jetspeed.rewriter.AbstractRewriter
``

Constructor Summary
`PerlContentRewriter()`

Method Summary
`String` | `getActionParameterName()`
`javax.portlet.PortletURL` | `getActionURL()`
`String` | `getLocalHostIP()`
`String` | `rewriteUrl(String url, String tag, String attribute)` rewriteURL
`void` | `setActionParameterName(String actionParameterName)`
`void` | `setActionURL(javax.portlet.PortletURL action)` Setters/getters for members
`void` | `setLocalHostIP(String localHostIP)`

Methods inherited from class org.apache.jetspeed.rewriter.RulesetRewriterImpl
`enterConvertTagEvent, getRuleset, rewriteUrl, setRuleset, shouldRemoveComments, shouldRemoveTag, shouldStripTag`

Methods inherited from class org.apache.jetspeed.rewriter.AbstractRewriter
`enterEndTagEvent, enterSimpleTagEvent, enterStartTagEvent, enterText, exitEndTagEvent, exitSimpleTagEvent, exitStartTagEvent, getBaseRelativeUrl, getBaseUrl, getUseProxy, parse, rewrite, setBaseUrl, setUseProxy`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jetspeed.rewriter.Rewriter
`enterConvertTagEvent, enterEndTagEvent, enterSimpleTagEvent, enterStartTagEvent, enterText, exitEndTagEvent, exitSimpleTagEvent, exitStartTagEvent, getBaseRelativeUrl, getBaseUrl, getUseProxy, parse, rewrite, setBaseUrl, setUseProxy, shouldRemoveComments, shouldRemoveTag, shouldStripTag`

Field Detail

### ACTION_PARAMETER_URL

    public static final String ACTION_PARAMETER_URL

  WebContentURL

  See Also:
    Constant Field Values

### actionURL

    private javax.portlet.PortletURL actionURL

### actionParameterName

    private String actionParameterName

### localHostIP

    private String localHostIP

Constructor Detail

### PerlContentRewriter

    public PerlContentRewriter()

Method Detail

### setActionURL

    public void setActionURL(javax.portlet.PortletURL action)

  Setters/getters for members

### getActionURL

    public javax.portlet.PortletURL getActionURL()

### getLocalHostIP

    public String getLocalHostIP()

  Returns:
    Returns the localHostIP.

### setLocalHostIP

    public void setLocalHostIP(String localHostIP)

  Parameters:
    `localHostIP` - The localHostIP to set.

### getActionParameterName

    public String getActionParameterName()

  Returns:
    Returns the actionParameterName.

### setActionParameterName

    public void setActionParameterName(String actionParameterName)

  Parameters:
    `actionParameterName` - The actionParameterName to set.

### rewriteUrl

    public String rewriteUrl(String url,
                             String tag,
                             String attribute)

  rewriteURL

  Specified by:
    `rewriteUrl` in interface `org.apache.jetspeed.rewriter.Rewriter`
  Parameters:
    `url` -
    `tag` -
    `attribute` -
  Returns:
    the modified url which is a portlet action Rewrites all URL's in the perl script with portlet actions. Tags include A (AREA) and FORM and replaces any localhost with the real IP address if provided

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.